## nehegles 1.0

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of NeHeGLES.
#
# NeHeGLES is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# NeHeGLES is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with NeHeGLES.  If not, see <http://www.gnu.org/licenses/>.

APP = nehegles
LESSONPATH = lesson
prefix = /usr/local
VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
bindir = ${exec_prefix}/bin
datarootdir = /opt
datadir = /opt

LESSONS = 02 03 04 05

all:
	cd gui && make
	cd gui/data && make
	for i in $(LESSONS); do PRT=`pwd`; cd $(LESSONPATH)$$i && make ; cd $$PRT; done

install:
	cd gui && make install
	cd gui/data && make install	
	install -d $(DESTDIR)$(datadir)/$(APP)
	for i in $(LESSONS); do install $(LESSONPATH)$$i/lesson$$i $(DESTDIR)$(datadir)/$(APP); done

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd gui && make clean
	cd gui/data && make clean
	for i in $(LESSONS); do PRT=`pwd`; cd $(LESSONPATH)$$i && make clean; cd $$PRT; done

distclean: clean
	rm -f Makefile gui/Makefile gui/data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== gui/Makefile ===
#
# Copyright (C) 2010 Till Harbaum <till@harbaum.org>.
#
# This file is part of NeHeGLES.
#
# NeHeGLES is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# NeHeGLES is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with NeHeGLES.  If not, see <http://www.gnu.org/licenses/>.
#

APP = nehegles
prefix = /usr/local
datarootdir = /opt
datadir = /opt
EXTRA_OBJS = @EXTRA_OBJS@
VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
MAEMO_VERSION_MAJOR = 5

bindir = ${exec_prefix}/bin

OBJS = main.o misc.o about.o menu.o icon.o list.o

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
LDFLAGS =  -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
		echo "Optifying binary"; \
		install -d $(DESTDIR)$(datadir)/$(APP); \
		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
	else \
		echo "Not Optifying binary"; \
		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
	fi

clean:
	rm -f maep *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c

# DO NOT DELETE

about.o: config.h misc.h icon.h about.h
icon.o: icon.h misc.h
list.o: config.h list.h
main.o: config.h menu.h
menu.o: config.h about.h
misc.o: config.h misc.h

=== orig/lesson08/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson08.c -o lesson08 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson08
	@echo Done.

=== debian/changelog ===
nehegles (1.0) unstable; urgency=low

  * Initial release incl. NeHe lessons 1-5

 -- Till Harbaum <till@harbaum.org>  Wed, 07 Apr 2010 19:15:22 +0100

=== debian/control ===
Source: nehegles
Section: user/development
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, tablet-browser-interface-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libgles1-sgx-img-dev
Standards-Version: 3.7.2

Package: nehegles
Architecture: armel
Depends: ${shlibs:Depends}
Description: OpenGL ES port of the NeHe OpenGL lessons
 These are OpenGL ES ports of some lessons from the NeHe OpenGL tutorial from http://nehe.gamedev.net/. These ports are based on the SDL versions of the original demos which in turn were ported to SDL_gles and OpenGL ES for Maemo5.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1501
XB-Maemo-Display-Name: NeHeGLES
# Maemo icon nehegles.48.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAASfSURBVGiB7ZldaBxVFMd/Z7Lmo20WW2OT
 +mACTYnWbIRSSh8KWgSrQqnB3TV5UFsQFepDRFAEkVCFIij2sU/W+BCbjEHz
 olVEUURFCsWuLalVmhhEG+p3TNJkO8eH2Y+Z2dmZ2aSGLe4PFub+58655793
 5sydGahR4/+NFLZG9Q6gybFvlrR8DsCwthBju+vIs3zIoFiRRxrWVsQRv46L
 pGWeQTXo4maHbpGWH6OGjRW2hCGg3bFvjkFtZlAsYmxHeN91ZDtNwEJkAzGG
 EPY4lPuBcW4nTpYLDn0B9x8ZiOFqCSMIt6IMAGvoZrNnfy9wOHLSpXwMLhNF
 lGeAlysN6Dag/EFSJjD4KNdOuPZbTAIzlQ7iYIZZPiuTyWmUiUoDGr7qDZwD
 FlG6Kw242vgb2C1ZYALxzEAV4m/AJgPXvoFOjmnjaiWzHMobEDJAHXG2rl46
 lVPewBIZoLQSVRnlDfTLNPDntWvAJlPtpTRWonyiMX7lNZQPctfBPnT1E4tK
 6QxMEkN5EtiHRQa4Cdiw2olFpXQGiiSAIQAMEv/BLDyHqQdY4jrHmrhiggx0
 s8QZ6ilfiUZ1F8KjIWNkSMmrhdYiVxBGCm1hARgBfgY2FXRTXwFaQmK/GGRg
 LY2sR5kOqESdwCPAT0DWZ/8mlDagaOBxWQL6fKON6jZHK4lt4JJPzyZgI3A0
 yABYJFAyCPcF9suyi36ZLNFN/SrwuHDeJiX7feLeA/bzSVgZ7clVoqoleAbs
 C3k8UiRTHy6ZKaUTOLmszIpx1wCve9S2/EaQAQUSCC9FqkDCNpQUcN6hXkKY
 jpysP/XAg9gPUr879HPAfHkDwhTKFhaYpIEs4bMF8DcpuSWwx3vawD98U6Jr
 aDU7TEqOeMXy14CVW402shnb7dXhIgJ0AaeA48C7QBcGa5cTLmgGvgX25kpo
 BrgtQrw4pk564hwiKd5zGOA4KRnnHb2eLM9GiP0Cpg442n+Rkp6g02Im98sb
 8K/deSy+RnjTodQD/SjxCMkFsUh+RVBkB9jvksLO6wxKAoPnUVqAX8r2TMsw
 MFxo2/9s/3IydpGSOWC/SzP1SF4LNyCkScpJ8uXQrK6labABIYMywKhuIC2/
 BfY19RDwWKGdXckSzRU3DnznUZuBJYhmAOzr4NOQvnGU9cAxl66criBdPwyg
 FfgCXKuCOQgzUM8ZFrCIYsBmnpQ8sbw8QzEruw8A7JU5hAsY1ftcHH53tW9o
 PRHj1TGmO12KcpmknKo8tRLaMT2x4YdwA/Zq9C5UBZGwErQOiy892hTQETnN
 8gzkfk4ORFnfZIBmTDrA9R7fy1GUEx7taYQt0XP0ZRa416O1Am9AlFPIXYnK
 G0jKBHhej5vaBys0kJIseP4YUzvym14DG4mzA+eHI4vzCJcR7mZMZ7BcX3Hy
 UXY6gxZQ2lZ4N2jD1Dt99cLQbnqx6HUpabmCqWeBg1gcLDPQW76qnfyUQ3mA
 dSWng40yhpRUxT2U+6KTo2jAoA+LRkf7e0ciD6Hc6DpyikW2cgLYHTQARu47
 muG5RozcTamBebI85TCSfznQB4S9Ga/4i06NGjVqXF3+BesBOzzG5VgfAAAA
 AElFTkSuQmCC

## nehegles 1.1

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 APP = nehegles
 LESSONPATH = lesson
-prefix = /usr/local
-VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
+prefix = /usr
+VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
 bindir = ${exec_prefix}/bin
 datarootdir = /opt
 datadir = /opt
 
-LESSONS = 02 03 04 05
+LESSONS = 02 03 04 05 06
 
 all:
 	cd gui && make
@@ -35,7 +35,7 @@
 	cd gui && make install
 	cd gui/data && make install	
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	for i in $(LESSONS); do install $(LESSONPATH)$$i/lesson$$i $(DESTDIR)$(datadir)/$(APP); done
+	for i in $(LESSONS); do install $(LESSONPATH)$$i/lesson$$i $(DESTDIR)$(datadir)/$(APP); install $(LESSONPATH)$$i/data/* $(DESTDIR)$(datadir)/$(APP); done
 
 clean:
 	rm -f *~ \#*\# *.bak *-stamp

=== gui/Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 #
 
 APP = nehegles
-prefix = /usr/local
+prefix = /usr
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS = @EXTRA_OBJS@
-VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
@@ -30,7 +30,7 @@
 OBJS = main.o misc.o about.o menu.o icon.o list.o
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
+CFLAGS = -Wall -O2 $(DEFS) -g -O2 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
 LDFLAGS =  -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   
 
 all: $(APP)

=== orig/lesson02/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson02.c -o lesson02 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson02
	@echo Done.

=== orig/lesson03/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson03.c -o lesson03 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson03
	@echo Done.

=== orig/lesson04/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson04.c -o lesson04 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson04
	@echo Done.

=== orig/lesson05/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson05.c -o lesson05 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson05
	@echo Done.

=== orig/lesson06/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson06.c -o lesson06 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson06
	@echo Done.

=== orig/lesson07/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson07.c -o lesson07 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson07
	@echo Done.

=== orig/lesson09/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson09.c -o lesson09 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson09
	@echo Done.

=== orig/lesson10/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson10.c -o lesson10 -lGL -lGLU -lm `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson10
	@echo Done.

=== orig/lesson18/Makefile ===
CC = gcc -Wall -ansi

all:
	$(CC) lesson18.c -o lesson18 -lGL -lGLU `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm lesson18
	@echo Done.

=== debian/changelog ===
nehegles (1.1) unstable; urgency=low

  * Cleaned up handling of squares/rectangles in lessons 2-5
  * Added lesson 06

 -- Till Harbaum <till@harbaum.org>  Thu, 08 Apr 2010 20:22:57 +0200

## nehegles 1.2

=== Makefile ===
--- 
+++ 
@@ -18,17 +18,18 @@
 
 APP = nehegles
 LESSONPATH = lesson
-prefix = /usr
-VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
+prefix = /usr/local
+VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
 bindir = ${exec_prefix}/bin
 datarootdir = /opt
 datadir = /opt
 
-LESSONS = 02 03 04 05 06
+LESSONS = 02 03 04 05 06 07 08
 
 all:
 	cd gui && make
 	cd gui/data && make
+	cd glues/source && make
 	for i in $(LESSONS); do PRT=`pwd`; cd $(LESSONPATH)$$i && make ; cd $$PRT; done
 
 install:
@@ -41,6 +42,7 @@
 	rm -f *~ \#*\# *.bak *-stamp
 	cd gui && make clean
 	cd gui/data && make clean
+	cd glues/source && make clean
 	for i in $(LESSONS); do PRT=`pwd`; cd $(LESSONPATH)$$i && make clean; cd $$PRT; done
 
 distclean: clean

=== gui/Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 #
 
 APP = nehegles
-prefix = /usr
+prefix = /usr/local
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS = @EXTRA_OBJS@
-VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
nehegles (1.2) unstable; urgency=low

  * Added lessons 7 and 8
  * Added glues library for use with lessons 7+

 -- Till Harbaum <till@harbaum.org>  Thu, 08 Apr 2010 20:23:22 +0200

## nehegles 1.3

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 APP = nehegles
 LESSONPATH = lesson
-prefix = /usr/local
-VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
+prefix = /usr
+VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
 bindir = ${exec_prefix}/bin
 datarootdir = /opt
 datadir = /opt
 
-LESSONS = 02 03 04 05 06 07 08
+LESSONS = 02 03 04 05 06 07 08 09 10
 
 all:
 	cd gui && make
@@ -36,7 +36,11 @@
 	cd gui && make install
 	cd gui/data && make install	
 	install -d $(DESTDIR)$(datadir)/$(APP)
-	for i in $(LESSONS); do install $(LESSONPATH)$$i/lesson$$i $(DESTDIR)$(datadir)/$(APP); install $(LESSONPATH)$$i/data/* $(DESTDIR)$(datadir)/$(APP); done
+	for i in $(LESSONS); do \
+	  install $(LESSONPATH)$$i/lesson$$i $(DESTDIR)$(datadir)/$(APP);\
+	  install $(LESSONPATH)$$i/data/* $(DESTDIR)$(datadir)/$(APP);\
+	  install $(LESSONPATH)$$i/lesson$$i.c $(DESTDIR)$(datadir)/$(APP);\
+	done
 
 clean:
 	rm -f *~ \#*\# *.bak *-stamp

=== gui/Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 #
 
 APP = nehegles
-prefix = /usr/local
+prefix = /usr
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS = @EXTRA_OBJS@
-VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin

=== gui/data/Makefile ===
APP = nehegles
MAEMO_VERSION_MAJOR = 5
prefix = /usr
datarootdir = /opt
datadir = /opt

all:

clean:

install-debian:
	echo "No debian specific installs"

install-maemo:
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 $(APP).$$s.png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
	install -d $(DESTDIR)$(datadir)/$(APP)

install: install-maemo
	install -d $(DESTDIR)$(datadir)/$(APP)
	install -m 644 COPYING *.png $(DESTDIR)$(datadir)/$(APP)

=== debian/changelog ===
nehegles (1.3) unstable; urgency=low

  * Added lessons 9 and 10
  * Added source code view
	
 -- Till Harbaum <till@harbaum.org>  Fri, 09 Apr 2010 20:43:42 +0200

## nehegles 1.4

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 APP = nehegles
 LESSONPATH = lesson
-prefix = /usr
-VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
+prefix = /usr/local
+VERSION = $${VERSION_PREFIX}1.4$${VERSION_SUFFIX}
 bindir = ${exec_prefix}/bin
 datarootdir = /opt
 datadir = /opt
 
-LESSONS = 02 03 04 05 06 07 08 09 10
+LESSONS = 02 03 04 05 06 07 08 09 10 11 12 16 18 19 20
 
 all:
 	cd gui && make

=== gui/Makefile ===
--- 
+++ 
@@ -18,11 +18,11 @@
 #
 
 APP = nehegles
-prefix = /usr
+prefix = /usr/local
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS = @EXTRA_OBJS@
-VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.4$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin

=== lesson03/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson03.c -o lesson03 -lSDL_gles -lGLES_CM `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson03
	@echo Done.

=== lesson10/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson10.c -o lesson10 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson10
	@echo Done.

=== lesson11/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson11.c -o lesson11 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson11
	@echo Done.

=== lesson16/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson16.c -o lesson16 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson16
	@echo Done.

=== glues/source/Makefile ===
#
# Simple Makefile to build libglues
# (c) 2010 by Till Harbaum
#

MAJOR = 1
MINOR = 4

LIB = libglues
STLIB = $(LIB).a
SHLIB = $(LIB).so
HDRDIR = /usr/include
LIBDIR = /usr/lib

CFLAGS = -O2 -c -Wall -I../include -D__LINUX__
OBJS = glues_error.o glues_mipmap.o glues_project.o glues_quad.o glues_registry.o

all: static # shared

.c.o:
	$(CC) $(INCS) $(CFLAGS) -c -o$@ $<

static: $(STLIB)
shared: $(SHLIB).$(MAJOR).$(MINOR)


$(STLIB): $(OBJS)
	rm -f $(STLIB)
	ar rcv $(STLIB) $(OBJS)
	-ranlib $(STLIB)

$(SHLIB).$(MAJOR).$(MINOR): $(OBJS)
	rm -f $(SHLIB)
	gcc -shared -Wl,-soname,$(SHLIB).$(MAJOR) -o $(SHLIB).$(MAJOR).$(MINOR) $(OBJS)
	rm -f $(SHLIB) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR) $(SHLIB)

install: $(STLIB) $(SHLIB).$(MAJOR).$(MINOR)
	install -d $(DESTDIR)$(LIBDIR)
	install $(STLIB) $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB)
	ln -s $(SHLIB).$(MAJOR) $(DESTDIR)$(LIBDIR)/$(SHLIB)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	install -d $(DESTDIR)$(HDRDIR)
	install ../include/*.h $(DESTDIR)$(HDRDIR)

clean:
	rm -f *.[oa] *~ $(SHLIB) $(STLIB)

=== debian/changelog ===
nehegles (1.4) unstable; urgency=low

  * Added lessons 11, 12, 16, and 18-20

 -- Till Harbaum <till@harbaum.org>  Sun, 11 Apr 2010 15:55:53 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f Makefile
	#docbook-to-man debian/nehegles.sgml > nehegles.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nehegles.
	$(MAKE) DESTDIR=$(CURDIR)/debian/nehegles install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nehegles 1.4.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 APP = nehegles
 LESSONPATH = lesson
 prefix = /usr/local
-VERSION = $${VERSION_PREFIX}1.4$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.4.1$${VERSION_SUFFIX}
 bindir = ${exec_prefix}/bin
 datarootdir = /opt
 datadir = /opt

=== gui/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS = @EXTRA_OBJS@
-VERSION = $${VERSION_PREFIX}1.4$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.4.1$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin

=== lesson02/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson02.c -o lesson02 -lSDL_gles -lGLES_CM `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson02
	@echo Done.

=== lesson04/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson04.c -o lesson04 -lSDL_gles -lGLES_CM `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson04
	@echo Done.

=== lesson05/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson05.c -o lesson05 -lSDL_gles -lGLES_CM `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson05
	@echo Done.

=== lesson06/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson06.c -o lesson06 -lSDL_image -lSDL_gles -lGLES_CM `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson06
	@echo Done.

=== lesson07/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson07.c -o lesson07 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson07
	@echo Done.

=== lesson08/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson08.c -o lesson08 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson08
	@echo Done.

=== lesson09/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson09.c -o lesson09 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson09
	@echo Done.

=== lesson12/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson12.c -o lesson12 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson12
	@echo Done.

=== lesson13/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson13.c -o lesson13 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson13
	@echo Done.

=== lesson18/Makefile ===
CC = gcc -Wall

all:
	$(CC) lesson18.c -o lesson18 -I../glues/source -lSDL_image -lSDL_gles -lGLES_CM -L../glues/source -lglues `sdl-config --cflags --libs`

clean:
	@echo Cleaning up...
	@rm -f lesson18
	@echo Done.

=== debian/changelog ===
nehegles (1.4.1) unstable; urgency=low

  * sdl_image dependency fix

 -- Till Harbaum <till@harbaum.org>  Sat, 24 Apr 2010 12:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/development
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, tablet-browser-interface-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libgles1-sgx-img-dev
+Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, tablet-browser-interface-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libgles1-sgx-img-dev, libsdl-image1.2-dev
 Standards-Version: 3.7.2
 
 Package: nehegles
